Table of Contents

Class: IModel | Twisted-0.19.0/twisted/python/mvc.py
--- | ---
A MVC Model.
Base Classes |
--- | ---
components.Interface
Methods |
--- | ---
addView notify removeView
| addView
    addView ( view )
Add a view for the model to keep track of.
| notify
    notify ( changed=None )
Notify all views that something was changed on me. Passing a dictionary of {'attribute': 'new value'} in changed will pass this dictionary to the view for increased performance. If you don't want to do this, don't, and just use the traditional MVC paradigm of querying the model for things you're interested in.
| removeView
    removeView ( view )
Remove a view that the model no longer should keep track of.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0